<!DOCTYPE html>
<html lang="cs">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, maximum-scale=1.0, user-scalable=no">

        <title>{ifset title}{include title|stripHtml} | {/ifset}CMS manager</title>

        <link rel="stylesheet" href="{$basePath}/back/template/style.css">

        <script type="text/javascript" src="{$basePath}/asset/jquery/jquery-3.6.0.min.js"></script>
        <script type="text/javascript" src="https://cdn.tiny.cloud/1/ahlumvig2uh03gvl6otcq473t8sd4d7nk7qei1uqu9idn970/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>
        <script type="text/javascript" src="{$basePath}/asset/bootstrap/dist/js/bootstrap.bundle.js"></script>
        <script type="text/javascript" src="{$basePath}/asset/datepicker/dist/js/bootstrap-datepicker.js"></script>
        <script type="text/javascript" src="{$basePath}/asset/datepicker/dist/locales/bootstrap-datepicker.cs.min.js"></script>
        <script type="text/javascript" src="{$basePath}/asset/colorpicker/jquery.minicolors.js"></script>
        <script type="text/javascript" src="{$basePath}/asset/nicescroll/dist/jquery.nicescroll.js"></script>
        <script type="text/javascript" src="{$basePath}/asset/naja/naja.min.js"></script>
        <script type="text/javascript" src="{$basePath}/back/js/main.js"></script>
        {*====================== obsah tiny editoru =====================*}
        <script type="text/javascript" src="{$basePath}/back/js/tiny.init.js"></script>

        {block scripts}{/block}
    </head>

    <body>
        {snippet flash}
            <section class="flash-wrapper">
                {foreach $flashes as $flash}
                    <div class="toast align-items-center bg-{$flash->type} text-white" role="alert" aria-live="assertive" aria-atomic="true">
                        <div class="d-flex">
                            <div class="toast-body">
                                {$flash->message}
                            </div>
                            <button type="button" class="btn-close me-2 m-auto" data-bs-dismiss="toast" aria-label="Close"></button>
                        </div>
                        <script>
                            var toastElList = [].slice.call(document.querySelectorAll('.toast'))
                            var toastList = toastElList.map(function(toastEl) {

                                return new bootstrap.Toast(toastEl)
                            });
                            toastList.forEach(toast => toast.show());
                        </script>
                    </div>
                {/foreach}
            </section>
        {/snippet}
        <section id="spinner">
                    <div class="spinner-border text-danger" style="width: 8rem; height: 8rem;" role="status">
                        <span class="visually-hidden">Loading...</span>
                    </div>
        </section>
        {if $user->isLoggedIn()}
            {include 'aside.latte'}
            {include 'header.latte'}
            <main>
                {include content}
            </main>
        {else}
            {include content}
        {/if}


        <script src="https://nette.github.io/resources/js/3/netteForms.min.js"></script>
    </body>
</html>